Page MenuHomePhabricator

Bug: 'Include Time' option in table visualization produces "0NaN-NaN-NaN NaN:NaN:NaN"
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  1. Create a new chart from a data source like edits_hourly or druid.edits_hourly
  2. Choose table visualization and pick any kind of granularity
  3. Check 'Include Time' in the GROUP BY section
  4. Run query

Actual Results:

Expected Results:

Since __time is a dimension in the druid.edits_hourly data source, we can include it manually as a dimension to GROUP BY. The __time column is what the Time column should look like:

Related Objects

Event Timeline

mpopov created this task.Jun 23 2020, 2:56 PM
mpopov moved this task from Triage to Tracking on the Better Use Of Data board.
mpopov moved this task from Triage to Tracking on the Product-Analytics board.

@mpopov weird find. This sounds like an upstream superset bug. Could you make an issue with them? https://github.com/apache/incubator-superset/issues

mpopov added a subscriber: elukey.Jun 30 2020, 3:52 PM

Filed: https://github.com/apache/incubator-superset/issues/10203

The bug report template asks for python stacktraces from superset logs, which I don't have access to. I pinged @elukey on the issue, maybe he can provide the necessary info?

fdans edited projects, added Analytics-Radar; removed Analytics.Jul 13 2020, 4:49 PM

According to the replies to https://github.com/apache/incubator-superset/issues/10203 this is fixed in >=0.37, so I added T262162 as a dependency.

mpopov closed this task as Resolved.Wed, Sep 30, 1:25 PM
mpopov claimed this task.

The upgrade to 0.37.2 has fixed the issue